/* 

Allan Spale
CS 488
Assignment 2

This class will read the landscape, city, and quake data files for the 
3-D earthquake visualization.

*/


#ifndef __DATAMANAGEMENT_H__
#define __DATAMANAGEMENT_H__

#include <iostream.h>
#include <fstream.h>
#include <stdlib.h>
#include <string.h>
#include "CalendarDate.h"
#include "LandscapeLocation.h"
#include "QuakeData.h"
#include "QuakeLocation.h"
#include "TimeUTC.h"
#include "CityLocation.h"


class DataManagement {

	public:
		// FUNCTIONS
		DataManagement();
		~DataManagement();
		QuakeData * qdpGetEarthquakeData();
		LandscapeLocation * llpGetLandscapeData();
		CityLocation * clpGetCityData();
		bool bSetMinimumMagnitudeFilter( int iMagnitude );
		bool bReadDataFiles( const char *kcpLandscapeFilename,
							const char *kcpDataFilename,
							const char *kcpCityFilename );
		long lGetQuakeDataSize();
		long lGetLandscapeDataSize();
		int iGetCityDataSize();
		float fGetMaximumDepth();
		
		// buffer for reading from file
		static const int KI_BUFFER_SIZE;


	private:
		void zTranslateDataToOrigin( XYZValue xyzCenter );

		int iLandscapeStructSize, iQuakeStructSize, 
			iCityLocationStructSize, iCityLocationSize;
		long lQuakeDataSize, lLandscapeDataSize, lFilteredQuakeDataSize;
		QuakeData *qdpQuakeData;
		LandscapeLocation *llpLandscape;
		CityLocation *clpCities;
		float fZMax;
};

#endif