/* 

Allan Spale
CS 488
Assignment 2

This class acts like an object-based C-struct for holding most of the data 
for the earthquake file.  In order to reduce calculations during rendering,
the green value calculated for the "color gradient" of the earthquake
magnitudes will be stored in the structure instead of being repeatedly
recalculated.  There is no accompanying implementation file for this class.

*/

#ifndef __QUAKE_H__
#define __QUAKE_H__

#include "CalendarDate.h"
#include "TimeUTC.h"
#include "QuakeLocation.h"

class QuakeData {
	
	public:
		QuakeData() {};
		CalendarDate cdDate;
		TimeUTC tutcTime;
		QuakeLocation qlLocation;
		float fMagnitude;
		float fMagnitudeGreenColor;
};

#endif